Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.NodeDimensionsHandler

    java.lang.Object
      |
      +--javax.swing.tree.AbstractLayoutCache.NodeDimensions
            |
            +--javax.swing.plaf.basic.BasicTreeUI.NodeDimensionsHandler

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.NodeDimensionsHandler
extends AbstractLayoutCache.NodeDimensions

Class responsible for getting size of node, method is forwarded to BasicTreeUI method. X location does not include insets, that is handled in getPathBounds.

Constructor Summary
`BasicTreeUI.NodeDimensionsHandler()`

Method Summary
`Rectangle` | `getNodeDimensions(Object value, int row, int depth, boolean expanded, Rectangle size)` Responsible for getting the size of a particular node.
`protected int` | `getRowX(int row, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.NodeDimensionsHandler

    public BasicTreeUI.NodeDimensionsHandler()

Method Detail

### getNodeDimensions

    public Rectangle getNodeDimensions(Object value,
                                       int row,
                                       int depth,
                                       boolean expanded,
                                       Rectangle size)

  Responsible for getting the size of a particular node.
  Overrides:
    `getNodeDimensions` in class `AbstractLayoutCache.NodeDimensions`

### getRowX

    protected int getRowX(int row,
                          int depth)

  Returns:
    amount to indent the given row.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.